mgorny      14/11/08 23:04:06

  Modified:             pypy-bin-2.4.0.ebuild ChangeLog
  Log:
  Update and clean up the ebuild. Provide sane binary packages based on the 
revised version of dev-python/pypy.
  
  (Portage version: 2.2.14/cvs/Linux x86_64, signed Manifest commit with key 
EFB4464E!)

Revision  Changes    Path
1.6                  dev-python/pypy-bin/pypy-bin-2.4.0.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/pypy-bin/pypy-bin-2.4.0.ebuild?rev=1.6&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/pypy-bin/pypy-bin-2.4.0.ebuild?rev=1.6&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/pypy-bin/pypy-bin-2.4.0.ebuild?r1=1.5&r2=1.6

Index: pypy-bin-2.4.0.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/pypy-bin/pypy-bin-2.4.0.ebuild,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- pypy-bin-2.4.0.ebuild       5 Nov 2014 21:18:12 -0000       1.5
+++ pypy-bin-2.4.0.ebuild       8 Nov 2014 23:04:06 -0000       1.6
@@ -1,66 +1,54 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/pypy-bin/pypy-bin-2.4.0.ebuild,v 
1.5 2014/11/05 21:18:12 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/pypy-bin/pypy-bin-2.4.0.ebuild,v 
1.6 2014/11/08 23:04:06 mgorny Exp $
 
 EAPI=5
 
-PYTHON_COMPAT=( python2_7 pypy pypy2_0 )
-inherit eutils multilib pax-utils python-any-r1 vcs-snapshot versionator
+PYTHON_COMPAT=( python2_7 pypy )
+inherit eutils multilib pax-utils python-any-r1 versionator
 
-BINHOST="http://packages.gentooexperimental.org/pypy/";
-
-# x86 currently fails, so no pypy-bin yet
+BINHOST="http://dev.gentoo.org/~mgorny/dist/pypy-bin/${PV}";
 
 DESCRIPTION="A fast, compliant alternative implementation of the Python 
language (binary package)"
 HOMEPAGE="http://pypy.org/";
-SRC_URI="https://www.bitbucket.org/pypy/pypy/downloads/pypy-${PV}-src.tar.bz2
+SRC_URI="https://bitbucket.org/pypy/pypy/downloads/pypy-${PV}-src.tar.bz2
        amd64? (
                jit? ( shadowstack? (
                        
${BINHOST}/${P}-amd64+bzip2+jit+ncurses+shadowstack.tar.xz
-                               -> 
${P}-r1-amd64+bzip2+jit+ncurses+shadowstack.tar.xz
                ) )
                jit? ( !shadowstack? (
                        ${BINHOST}/${P}-amd64+bzip2+jit+ncurses.tar.xz
-                               -> ${P}-r1-amd64+bzip2+jit+ncurses.tar.xz
                ) )
                !jit? ( !shadowstack? (
                        ${BINHOST}/${P}-amd64+bzip2+ncurses.tar.xz
-                               -> ${P}-r1-amd64+bzip2+ncurses.tar.xz
                ) )
+       )
+       x86? (
+               sse2? (
+                       jit? ( shadowstack? (
+                               
${BINHOST}/${P}-x86+bzip2+jit+ncurses+shadowstack+sse2.tar.xz
+                       ) )
+                       jit? ( !shadowstack? (
+                               
${BINHOST}/${P}-x86+bzip2+jit+ncurses+sse2.tar.xz
+                       ) )
+                       !jit? ( !shadowstack? (
+                               ${BINHOST}/${P}-x86+bzip2+ncurses+sse2.tar.xz
+                       ) )
+               )
+               !sse2? (
+                       !jit? ( !shadowstack? (
+                               ${BINHOST}/${P}-x86+bzip2+ncurses.tar.xz
+                       ) )
+               )
        )"
 
-#      x86? (
-#              sse2? (
-#                      jit? ( shadowstack? (
-#                              
${BINHOST}/${P}-x86+bzip2+jit+ncurses+shadowstack+sse2.tar.xz
-#                                      -> 
${P}-r1-x86+bzip2+jit+ncurses+shadowstack+sse2.tar.xz
-#                      ) )
-#                      jit? ( !shadowstack? (
-#                              
${BINHOST}/${P}-x86+bzip2+jit+ncurses+sse2.tar.xz
-#                                      -> 
${P}-r1-x86+bzip2+jit+ncurses+sse2.tar.xz
-#                      ) )
-#                      !jit? ( !shadowstack? (
-#                              ${BINHOST}/${P}-x86+bzip2+ncurses+sse2.tar.xz
-#                                      -> ${P}-r1-x86+bzip2+ncurses+sse2.tar.xz
-#                      ) )
-#              )
-#              !sse2? (
-#                      !jit? ( !shadowstack? (
-#                              ${BINHOST}/${P}-x86+bzip2+ncurses.tar.xz
-#                                      -> ${P}-r1-x86+bzip2+ncurses.tar.xz
-#                      ) )
-#              )
-#      )"
-
 # Supported variants
 REQUIRED_USE="!jit? ( !shadowstack )
        x86? ( !sse2? ( !jit !shadowstack ) )"
 
 LICENSE="MIT"
 SLOT="0/$(get_version_component_range 1-2 ${PV})"
-#KEYWORDS="~amd64"
-# Needs some more sanity checks before it gets unleashed on users
-KEYWORDS=""
+KEYWORDS="~amd64 ~x86"
 IUSE="doc gdbm +jit shadowstack sqlite sse2 test tk"
 
 # yep, world would be easier if people started filling subslots...
@@ -92,8 +80,8 @@
 }
 
 src_prepare() {
-       epatch "${FILESDIR}/1.9-scripts-location.patch"
-       epatch 
"${FILESDIR}/1.9-distutils.unixccompiler.UnixCCompiler.runtime_library_dir_option.patch"
+       epatch "${FILESDIR}/1.9-scripts-location.patch" \
+               
"${FILESDIR}/1.9-distutils.unixccompiler.UnixCCompiler.runtime_library_dir_option.patch"
 
        pushd lib-python/2.7 > /dev/null || die
        epatch "${FILESDIR}/2.3-21_all_distutils_c++.patch"
@@ -115,12 +103,12 @@
 }
 
 # Doesn't work - pypy missing its own libs
-#src_test() {
-#      # (unset)
-#      local -x PYTHONDONTWRITEBYTECODE
-#
-#      ./pypy-c ./pypy/test_all.py --pypy=./pypy-c lib-python || die
-#}
+src_test() {
+       # (unset)
+       local -x PYTHONDONTWRITEBYTECODE
+
+       ./pypy-c ./pypy/test_all.py --pypy=./pypy-c lib-python || die
+}
 
 src_install() {
        einfo "Installing PyPy ..."
@@ -129,7 +117,6 @@
        fperms a+x ${INSDESTTREE}/pypy-c ${INSDESTTREE}/libpypy-c.so
        pax-mark m "${ED%/}${INSDESTTREE}/pypy-c" 
"${ED%/}${INSDESTTREE}/libpypy-c.so"
        dosym ../$(get_libdir)/pypy/pypy-c /usr/bin/pypy
-       dosym ../$(get_libdir)/pypy/libpypy-c.so /usr/$(get_libdir)/libpypy-c.so
        dodoc README.rst
 
        if ! use gdbm; then



1.27                 dev-python/pypy-bin/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/pypy-bin/ChangeLog?rev=1.27&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/pypy-bin/ChangeLog?rev=1.27&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/pypy-bin/ChangeLog?r1=1.26&r2=1.27

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/pypy-bin/ChangeLog,v
retrieving revision 1.26
retrieving revision 1.27
diff -u -r1.26 -r1.27
--- ChangeLog   5 Nov 2014 21:18:12 -0000       1.26
+++ ChangeLog   8 Nov 2014 23:04:06 -0000       1.27
@@ -1,6 +1,10 @@
 # ChangeLog for dev-python/pypy-bin
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/pypy-bin/ChangeLog,v 1.26 
2014/11/05 21:18:12 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/pypy-bin/ChangeLog,v 1.27 
2014/11/08 23:04:06 mgorny Exp $
+
+  08 Nov 2014; Michał Górny <[email protected]> pypy-bin-2.4.0.ebuild:
+  Update and clean up the ebuild. Provide sane binary packages based on the
+  revised version of dev-python/pypy.
 
   05 Nov 2014; Michał Górny <[email protected]> pypy-bin-2.3.1-r2.ebuild,
   pypy-bin-2.4.0.ebuild:




Reply via email to